Remove buggy check for python version.

platform.python_version()[0:3] returns the string '3.1' on python 3.10.

Index: brebis/setup.py
===================================================================
--- brebis.orig/setup.py
+++ brebis/setup.py
@@ -18,11 +18,6 @@ import os.path
 import platform
 import sys
 
-# Warn the user about the supported Python versions
-if float(platform.python_version()[0:3]) < 3.4:
-    print('You need at least Python 3.4 to use Brebis')
-    sys.exit(1)
-
 CLASSIFIERS = [
     'Intended Audience :: System Administrators',
     'Development Status :: 3 - Alpha',
